{% load wagtailcore_tags wagtailimages_tags %}
{% firstof self.page.url self.link as target %}
{% if self.align == 'center' %}<div class="text-center">{% endif %}
<a href="{{ target }}" class="btn btn--{{ self.color }} {% if self.hoveractive %}btn--hoveractive{% endif %} {% if self.icon %}btn--icon{% endif %} text-{{ self.size }} {% if self.mobile_fullwidth %}btn--fullwidth md:btn--autowidth{% else %}btn--autowidth{% endif %}"
>
    {% if icon_class %}
        <div class="btn__body-wrap">
            <div class="btn__body ">{{ self.title }}</div>
            <div class="btn__icon "><i class="{{ icon_class }}"></i></div>
        </div>
    {% else %}
        <div class="btn__body ">{{ self.title }}</div>
    {% endif %}
</a>
{% if self.align == 'center' %}</div>{% endif %}
